/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.buydetails.entity;

import com.jeeplus.modules.oabuy.entity.OaBuy;

import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 采购明细Entity
 * @author liuw
 * @version 2018-01-16
 */
public class BuyDetails extends DataEntity<BuyDetails> {
	
	private static final long serialVersionUID = 1L;
	private OaBuy oaBuy;		// 采购申请id
	private String name;		// 名称
	private String format;		// 规格
	private String amount;		// 数量
	private String unit;		// 单位
	private String price;		// 价格

	public BuyDetails() {
		super();
	}

	public BuyDetails(String id){
		super(id);
	}

	@ExcelField(title="采购申请id", align=2, sort=7)
	public OaBuy getOaBuy() {
		return oaBuy;
	}

	public void setOaBuy(OaBuy oaBuy) {
		this.oaBuy = oaBuy;
	}
	
	@ExcelField(title="名称", align=2, sort=8)
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}
	
	@ExcelField(title="规格", align=2, sort=9)
	public String getFormat() {
		return format;
	}

	public void setFormat(String format) {
		this.format = format;
	}
	
	@ExcelField(title="数量", align=2, sort=10)
	public String getAmount() {
		return amount;
	}

	public void setAmount(String amount) {
		this.amount = amount;
	}
	
	@ExcelField(title="单位", align=2, sort=11)
	public String getUnit() {
		return unit;
	}

	public void setUnit(String unit) {
		this.unit = unit;
	}
	
	@ExcelField(title="价格", align=2, sort=12)
	public String getPrice() {
		return price;
	}

	public void setPrice(String price) {
		this.price = price;
	}
	
}